if doPlot == 1
    subplot(1,totalSubPlot,3);
    cla;
    box on;
    hold on;
    
    for i = 1:size(dataTest,2)
        if classX(i) ~= 0
            plot(dataTest(1,i),dataTest(2,i), ...
                '.','color',colourLabel(classX(i),:), ...
                'markersize',10, ...
                'linewidth',10);
        else
            plot(dataTest(1,i),dataTest(2,i), ...
                '.','color',[0.8 0.8 0.8],'markersize',10,...
                'linewidth',10);
        end
    end
    
    % Apply the axis limits
    axis equal;
    axis([-axislimit axislimit -axislimit axislimit]);
    hold off;
    title(sprintf('Accuracy = %.2f %%', ...
        traceAL.accuracy(count)));
    
    % Save as images
    if isunix
        print -r75 file;
        saveas(h,sprintf(imagePath,imgCount));
    else
        frame = imcapture(h,'all',75);
        imwrite(frame,sprintf(imagePath,imgCount));
    end
    imgCount = imgCount + 1;
end