load('synthetic_ring2.mat');

dataTest  = CV(1).Xte';
labelTest = CV(1).Yteo;

 h = figure;
    axislimit    = round(1.02*max(max(abs(dataTest)))); % set the axis limits

box on;
hold on;

colourLabel  = vsGenPlotColour(length(unique(labelTest)));

for i = 1:size(dataTest,2)
    if labelTest(i) ~= 0
        plot(dataTest(1,i),dataTest(2,i), ...
            '.','color',colourLabel(labelTest(i),:), ...
            'markersize',10, ...
            'linewidth',10);
    else
        plot(dataTest(1,i),dataTest(2,i), ...
            '.','color',[0.8 0.8 0.8],'markersize',10,...
            'linewidth',10);
    end
end

% Apply the axis limits
axis equal;
axis([-axislimit axislimit -axislimit axislimit]);
hold off;
